Package org.apache.tools.ant.taskdefs

# Class XSLTProcess.OutputProperty

java.lang.Object
org.apache.tools.ant.taskdefs.XSLTProcess.OutputProperty

Enclosing class:
  `XSLTProcess`

public static class XSLTProcess.OutputProperty extends Object
Specify how the result tree should be output as specified in the specification.

Since:
  Ant 1.5

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutputProperty()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `String`
  `getValue()`
  `void`
  `setName(String name)`
  set the name for this property
  `void`
  `setValue(String value)`
  set the value for this property

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OutputProperty

    public OutputProperty()

- ## Method Details

  - ### getName

    public String getName()
    Returns:
      the output property name.

  - ### setName

    public void setName(String name)
    set the name for this property
    Parameters:
      `name` - A non-null String that specifies an output property name, which may be namespace qualified.

  - ### getValue

    public String getValue()
    Returns:
      the output property value.

  - ### setValue

    public void setValue(String value)
    set the value for this property
    Parameters:
      `value` - The non-null string value of the output property.